/*************************************************************************
 *
 *  File: PDF_UI_write_email.css for PDFMail-Reply UI
 *
 *      This file contains CSS definitions for the write site layout 
 *		in small and large display
 *
 *      This site is displayed after login into PDFMail-Reply
 *
 *
 ************************************************************************/
 
 #write_email_div
 {
 	padding-left:0rem; /*small display */
 }
  @media screen and (min-width: 30em) {
   		 #write_email_div{ 
   		 	padding-left:1rem;
   		 }
  }
 
 .write_email_attachment_button_div
 {
 	text-align:right;
 	padding-right: 0rem;
 }
 @media screen and (min-width: 30em) {
   		 .write_email_attachment_button_div{ 
  		 	padding-right: 1rem;
   		 }
  }
 #write_email_text_div
 {
 	padding-top: 0.5rem; /*small display*/
 	display:flex;
 }
  @media screen and (min-width: 30em) {
   		 #write_email_text_div{ 
  		 	padding: 0.5rem 1rem 0.5rem 0rem;
   		 }
  }
 
 .upload_icon_button /*is a button type botton with htmlentity paperclip*/
 {
   /* text-align:center;
    vertical-align: middle;
    height:     44px;
    height:     2.75rem;
    width:      44px;
    width:      2.75rem;
    font-size:  1.5rem;
    padding-top: 0.1rem;
    color:black;
    cursor:pointer;
    display:inline-block;*/

    /*the rotation is not OK for mark: then the mark is rotated too*/
   /* -moz-transform:rotate(+30deg);
    -webkit-transform:rotate(+30deg);
    -o-transform:rotate(+30deg);
    -ms-transform:rotate(+30deg);
    transform:rotate(+30deg);*/
 }
 
 .icon_button#icon_butt_save,.icon_button#icon_butt_drop,.icon_button#icon_butt_send.upload_icon_button 
{
    display:inline-block;  /* small display */
    cursor:pointer;
    background-color: white;
    height:     44px;
    height:     2.75rem;
    width:      44px;
    width:      2.75rem;
    font-size:  1.5rem; /* only for */
    padding: 0.1rem;
    position:relative; 	
    z-index:0;			
} 
 /*.icon_button#icon_butt_send
{
	display:inline-block;  
	cursor:pointer;
	height:     44px;
        height:     2.75rem;
        width:      44px;
        width:      2.75rem;
	background-color: white;
	padding: 0.1rem;
	position:relative; 	
	z-index:0;			
} */
 
@media print, screen and (min-width: 30em) {
   .icon_button#icon_butt_save,.icon_button#icon_butt_drop,.icon_button#icon_butt_send {
    	display:none;  /* large display */
    	width: 0;
		height: 0;
        } } 
 
 
 
 /* now the settings for the large display*/
 
 
  
.write_email_header_buttons
{
	line-height: 1.5rem;
	padding: 0 0 0.4rem 0rem; /* small display */
	/*-webkit-padding-start:2rem;*/
}

@media print, screen and (min-width: 30em) {
    .write_email_header_buttons {
       	padding: 0 1rem 0.5rem 2rem; /*large display */
        } }


#write_email_button_div
{
	/*position: relative;*/
	/*white-space: nowrap;*/
	text-align: right;
}

.button#butt_send,.button#butt_save,.button#butt_drop,.button#upload_button
{
	margin: 0 0.2rem;
	font-size: 0.8rem;
	padding: 0.5rem 0.5rem;
	border: 0px solid transparent;
	position:relative; 	/* for safari*/
	z-index:0;			/* for safari*/
}

.button#upload_button,.button#butt_send
 {
 	text-align: center;
 	min-width:9rem;
 }

.button#butt_send:hover,.button#butt_save:hover,.button#butt_drop:hover,.button#upload_button:hover
{
	opacity:	0.7;
}

.button#butt_send,.button#butt_save,.button#butt_drop,.button#upload_button
 {
 	display:none; /*small display*/
 }           
 
 @media print, screen and (min-width: 30em) {
   .button#butt_send,.button#butt_save,.button#butt_drop,.button#upload_button  {
    	display:inline-block;  /* large display  if block: among each other (untereinander)*/
        } 
        .upload_icon_button{
 	 display:none;
 	}
 }

.write_email_to_div,.write_email_cc_div,.write_email_subject_div
{
	display: inline;
        text-align:left;
	/*position: relative;*/
	white-space: nowrap;
	font-size:10pt;
}

.write_email_div_empty
{
	/*display: inline;*/
	/*position: relative;*/
	white-space: nowrap;
	font-size:12pt;
	min-height:1rem;
}

.write_email_label
{
	float: left;
	width: 4rem;
	font-weight: bold;
	padding: 0.4rem 1rem 0 0;
}

.write_email_label_cb
{
	float: left;
	width: 8rem;
	font-weight: bold;
	padding: 0.4rem 1rem 0 0;
}
@media print,screen and (min-width: 30em) {
 /* large display */  
        .write_email_label,.write_email_label_cb
        {
    		width: 10rem;
        } 
        .write_email_to_div,.write_email_cc_div,.write_email_subject_div
        {
        	font-size:12pt;
        }
}


#write_email_recipient,#write_email_cc,#write_email_subject
{
	/* small display */
	display: inline;
	position:relative; 	/* for safari*/
	z-index:0;			/* for safari*/
	
/*	width: 35rem;*/
	max-width: 80%;
	height: 2.5rem;
	border-radius:4px;
	margin: 0 0 0.4rem;
	
}


/* _:-webkit-full-screen, #write_email_recipient,#write_email_cc,#write_email_subject
 { width:55%; }*/
 #email_size_info_small
 {
 	display: inline-block;
 }  
  #email_size_info_large
  {
  	display: none;
  } 
@media print,screen and (min-width: 30em) {
 /* large display */  
        #write_email_recipient,#write_email_cc,#write_email_subject
        {
    		width: 77%;
                max-width: 98%;
        } 
        #write_email_cc  {
    	float:left; /* for upload button in large display*/
        }
        #email_size_info_small
        {
        	display: none;
        } 
        #email_size_info_large
        {
        	display: inline-block;
        } 
}

.write_email_attachment_div
{
	display: inline-block;
}
.attach_table
{
	width: 50%;
}

#filename_id
{
	max-width: 20rem;
	margin: 0;
}


#write_email_message_text
{
	min-height:16rem;	
	position:relative; 	/* for safari*/
	z-index:0;			/* for safari*/
}
  
 .write_email_attachment_chip
{
    float:left;
    display: inline-block;
    padding: 0 3px;
     margin: 0 2px;
    height: 20px;
    font-size: 12px;
    line-height: 20px;
    border-radius: 25px;
    background-color: #f1f1f1;
    white-space: nowrap;
  /* cursor:pointer;  for the hand mouse pointer here on write side, you cannot open attachment*/
    position:relative;
    z-index:1;
} 
  
.button#butt_delete_attach
{
	background-color: #f1f1f1;
	width: 30px;
	width: 1.875rem;
	height: 18px;
	padding: 0 0 0 0.2rem;
	color: black;
}  
@media print, screen and (min-width: 30em) {
    .button#butt_delete_attach {
       	padding: 0rem; /*large display */
       	width: 20px;
	    width: 1rem;
        } }

.butt_delete_attach
{
	background-color: #f1f1f1;
	width: 30px;
	width: 1.875rem;
	height: 18px;
	padding: 0 0 0 0.2rem;
	color: black;
        cursor:pointer;
}  
@media print, screen and (min-width: 30em) {
    .butt_delete_attach {
       	padding: 0rem; /*large display */
       	width: 20px;
	    width: 1rem;
        } }
  
.attach_upload_file_input
{
    display:none;
}
.email_size_info_small
{
    padding-top:0.5rem;
}
.email_size_info_large
{
    width:100%;
    padding-top:0.4rem;
}
.email_size_label_large
{
   font-weight:bold;
   text-align:right;
}
.email_size_label_small
{
    font-weight:bold;
    text-align:left;
    font-size:0.55rem;
}

@media print, screen and (min-width: 30em) {
    .email_size_label_small {
    	font-weight:bold;
        text-align:left;
        font-size:0.85rem;
        } }

.input_cc_div,.input_mark_cc_div
{
    display:flex;
    /*width:65%;*/
}

.attachment_chip
{
   color: #ff4000; 
}

.email_size_info_color_black
{
   color: black;
   padding-right:1rem;
}
.email_size_info_color_red
{
   color: red;
   padding-right:1rem;
}
.email_size_info_color_green
{
   color: green;
   padding-right:1rem;
}

.input_mark_cc_div
{
  /*  margin-top: 1rem;*/
}


